Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleGetMember

Returns a read-only view of an ensemble member stored in the `PetscDA`.

## Synopsis

    PetscErrorCode PetscDAEnsembleGetMember(PetscDA da, PetscInt member_idx, Vec *member)

Collective

## Input Parameters

- da - the `PetscDA` context

- member_idx - index of the requested member (0 <= idx < ensemble_size)

## Output Parameter

- member - read-only vector view; call `PetscDAEnsembleRestoreMember()` when done

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleRestoreMember()`, `PetscDAEnsembleSetMember()`

## Level

intermediate

## Location

src/ml/da/impls/ensemble/daensemble.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages